Create a QR Session
POST
/v1/qr/sessions
const url = 'https://api.parasta.io/v1/qr/sessions';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"amount":5000000,"currency":"USDT","network":"POLYGON","expires_in":600,"settlement":{"mode":"coin"},"metadata":{"pos_terminal":"pos_42"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/qr/sessions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "amount": 5000000, "currency": "USDT", "network": "POLYGON", "expires_in": 600, "settlement": { "mode": "coin" }, "metadata": { "pos_terminal": "pos_42" } }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
amount
required
integer format: int64
currency
required
string
network
required
string
expires_in
Seconds
integer
settlement
object
mode
required
Coin = keep crypto; krw = exchange to KRW at confirmation; splits = mixed
string
krw_account
Required when mode=krw
string
splits
Array<object>
object
destination
required
string
percent
required
number
metadata
object
key
additional properties
string
Example
{ "amount": 5000000, "currency": "USDT", "network": "POLYGON", "expires_in": 600, "settlement": { "mode": "coin" }, "metadata": { "pos_terminal": "pos_42" }}Responses
Section titled “ Responses ”Created
Media type application/json
object
id
required
string
status
required
string
image_url
required
string format: uri
deeplink
required
string
amount
required
integer format: int64
currency
required
string
network
required
string
payment_id
string | null
expires_at
required
string format: date-time
created
string format: date-time
Example
{ "id": "qrs_abc123", "status": "open", "currency": "USDT", "network": "POLYGON"}